function [An, fn] = a11e01getPDE(f, n)

    [coordinatesForAllNodes, nodesForAllTriangles, isNodeOnBoundary, centersOfMass] = getTriangulationMatrices(n);
    [b1, b12, b2, d] = getTriangleScalars(coordinatesForAllNodes, nodesForAllTriangles);
    
    localStiffnessMatrices = getLocalStiffnessMatrices(b1, b12, b2, d);
    localRightHandSides =  getLocalRightHandSides(f, centersOfMass, d);

    An = getGlobalStiffnessMatrix(localStiffnessMatrices, nodesForAllTriangles, isNodeOnBoundary, n);
    fn = getGlobalRightHandSide(localRightHandSides, nodesForAllTriangles, isNodeOnBoundary, n);
    
end